Package de.willuhn.jameica.hbci.forecast

# Class ForecastCreator

java.lang.Object
de.willuhn.jameica.hbci.forecast.ForecastCreator

public class ForecastCreator extends Object
Diese Klasse erzeugt eine Saldo-Prognose basierend auf den konfigurierten Forecast-Providern.

## Constructor Summary

Constructors
Constructor
Description
`ForecastCreator()`

## Method Summary

Modifier and Type
Method
Description
`static List<Value>`
`create(Konto k, Date to)`
Erzeugt eine Liste von Salden fuer das angegebene Konto von heute bis zum angegebenen Zieldatum.
`static SaldoLimit`
`getLimit(Konto k, SaldoLimit.Type type)`
Liefert das Limit für das Konto, falls vorhanden.
`static List<SaldoLimit>`
`getLimits()`
Liefert die aktuellen Saldo-Limits.
`static List<ForecastProvider>`
`getProviders()`
Liefert die Liste aller Forecast-Provider - unabhaengig davon, ob sie gerade aktiv sind oder nicht.
`static boolean`
`isEnabled(ForecastProvider provider)`
Liefert true, wenn der Provider aktiv ist.
`static void`
`setEnabled(ForecastProvider provider, boolean enabled)`
Legt fest, ob der Provider verwendet werden soll.
`static void`
`setLimit(SaldoLimit limit)`
Speichert das Limit für das Konto.
`static void`
`updateLimits()`
Berechnet die Saldo-Limits neu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForecastCreator

public ForecastCreator()

## Method Details

### getProviders

public static List<ForecastProvider> getProviders()
Liefert die Liste aller Forecast-Provider - unabhaengig davon, ob sie gerade aktiv sind oder nicht.

Returns:
  die Liste aller Forecast-Provider.

### getLimit

public static SaldoLimit getLimit(Konto k, SaldoLimit.Type type)
Liefert das Limit für das Konto, falls vorhanden.

Parameters:
  `k` - das Konto.
  `type` - die Art des Limits.
Returns:
  das Limit. Nie NULL sondern hoechtens ein deaktiviertes Limit ohne Werte.

### setLimit

public static void setLimit(SaldoLimit limit)
Speichert das Limit für das Konto.

Parameters:
  `limit` - das Limit.

### getLimits

public static List<SaldoLimit> getLimits()
Liefert die aktuellen Saldo-Limits.

Returns:
  die aktuellen Saldo-Limits.

### updateLimits

public static void updateLimits()
Berechnet die Saldo-Limits neu.

### create

public static List<Value> create(Konto k, Date to) throws RemoteException
Erzeugt eine Liste von Salden fuer das angegebene Konto von heute bis zum angegebenen Zieldatum. Die Liste enthaelt hierbei fuer jeden Tag einen Wert (auch wenn an diesem Tag keine Zahlungsvorgaenge stattfanden - in dem Fall besitzt der Wert den Saldo des Vortages), kann daher also 1:1 auf eine Chart-Grafik gemappt werden.

Parameters:
  `k` - das Konto. Optional. Ist keines angegeben, wird eine Prognose ueber alle Konten erstellt.
  `to` - Ende des Zeitraumes. Ist keines angegeben, endet die Auswertung 1 Jahr nach Beginn des Zeitraumes.
Returns:
  die Liste der Salden.
Throws:
  `RemoteException`

### isEnabled

public static boolean isEnabled(ForecastProvider provider)
Liefert true, wenn der Provider aktiv ist.

Parameters:
  `provider` - der zu pruefende Provider.
Returns:
  true, wenn er aktiv ist.

### setEnabled

public static void setEnabled(ForecastProvider provider, boolean enabled)
Legt fest, ob der Provider verwendet werden soll.

Parameters:
  `provider` - der Provider.
  `enabled` - true, wenn der Provider verwendet werden soll.